### Property

# St Entry:input-purpose

since: 14

#### Declaration

    property input-purpose: Clutter.InputContentPurpose [ read, write ]

#### Description [src]

The `ClutterInputContentPurpose` that helps on-screen keyboards and similar input methods to decide which keys should be presented to the user.

Type: | `ClutterInputContentPurpose`
Available since: | 14

Default value | CLUTTER_INPUT_CONTENT_PURPOSE_NORMAL
Getter method | `st_entry_get_input_purpose()`
Setter method | `st_entry_set_input_purpose()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no